#! /usr/bin/env python
# ===================================================================
# file:   bandplot.py
# author: k.koepernik@ifw-dresden.de
# date:   19 Apr 2017
from __future__ import print_function
import sys
import pyfplo.fedit as fedit
# ===================================================================
# 
# ===================================================================
def work():


    points=[
        ['$~G',[0,0,0]],
        ['X',[1,0,0]],
        ['M',[1,1,0]],
        ['$~G',[0,0,0]],
        ['Z',[0,0,1]],
        ]

    # IMPORTANT:
    # We only want to change bandplot settings in an existing/new =.in.
    # Hence, we set recreate=False, which DOES NOT resets non-symmetry input.
    fed=fedit.Fedit(recreate=False)
    fed.bandplot(active=True,points=points,weights=True,
                 interval=[2000,-1,1])
    fed.pipeFedit()
    
    
    return

# ===================================================================
# 
# ===================================================================

if __name__ == '__main__':

    work()
    
    sys.exit(0)




