killall()

g=G[1]
g.pointsizescale=1.5

gr=g.read('band','slabifyres/+band_sf_global')[0].group
gr.line=LineStyle(width=1,color=0xff)
gr.legend='global B=1.1eV'
for s in gr.S:
    s.y+=0.2



gr=g.read('band','slabifyres/+band_sf_local')[0].group
gr.line=LineStyle(width=1,color=0xaa00)
gr.legend='local B$_d$.=1.1eV  B$_sp$.=0.2eV'
for s in gr.S:
    s.y+=0.2

Legend(1).on()\
  .setText(font=FontStyle(size=12,subscriptscale=0.75,color=0x0),
    linespacing=0.2)\
  .setSymbol(spacing=0.5,width=1)\
  .setFrame(Frame(active=1,borderspacing=0.8,
      rim=LineStyle(style='solid',width=1,color=0x0,extracolor=True),
      fill=FillStyle(active=True,color=0xffffff,extracolor=True)))\
  .setGeometry(position=(1.05994,-0.0341306),origin=(1,0))


Title(1).on()\
  .setText("Hand picked B-fields",
    font=FontStyle(size=20,subscriptscale=0.75,color=0x0))\
  .setFrame(Frame(active=1,borderspacing=0.2,
    rim=LineStyle(style='solid',width=1,color=0xffffff,extracolor=True),
    fill=FillStyle(active=True,color=0xffffff,extracolor=True)))\
  .setGeometry(system='View',position=(0.5,0),angle=0,
    origin=(0.5,1),restriction=('Y',0.0312188),offsets=[1,2,9,10])
SubTitle(1).on()\
  .setText("E$_F$. shifted +0.2eV",
    font=FontStyle(size=16,subscriptscale=0.75,color=0x0))\
  .setFrame(Frame(active=0,borderspacing=0.2,
    rim=LineStyle(style='solid',width=1,color=0xffffff,extracolor=True),
    fill=FillStyle(active=True,color=0xffffff,extracolor=True)))\
  .setGeometry(system='View',position=(0.5,0),angle=0,
    origin=(0.5,1),restriction=('Y',-0),offsets=[1,2])


g.autoscale()
g.world.y=(-10,10)

g.title.text='Hand picked B-fields'
g.subtitle.on().text='E$_F$. shifted +0.2eV'

arrange(paperwidth=842,Nx=1,leftgap=0.16,rightgap=0.07,
    hgap=0.1,Ny=1,topgap=0.2,bottomgap=0.1,vgap=0.1,
    aspectratio=1.48292, commonxaxis=True,commonyaxis=True,
    commontitle=True)

printto('bands_with_fields.png')
